clear all
c1=[0, 0.4470, 0.7410];
c2=[0.8500, 0.3250, 0.0980];
c3=[0.89, 0.706, 0.106];

K=sqrt(293/295);
f=@(C,P0, r) C*P0*K*sqrt(1-r.^2);
err=@(C, Q, P0, r) sum((Q-f(C, P0, r)).^2);

load Ecoflex_0.5mm_100um.mat
P0=mean(exp_5.p1)+1;
Q=exp_5.Q/60; %Nl/min -> Nl/s
r=exp_5.r;
C1_05=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_10.p1)+1;
Q=exp_10.Q/60; %Nl/min -> Nl/s
r=exp_10.r;
C1_10=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_15.p1)+1;
Q=exp_15.Q/60; %Nl/min -> Nl/s
r=exp_15.r;
C1_15=fminsearch(@(x) err(x, Q, P0, r), 0);

load Ecoflex_0.5mm_150um.mat
P0=mean(exp_5.p1)+1;
Q=exp_5.Q/60; %Nl/min -> Nl/s
r=exp_5.r;
C2_05=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_10.p1)+1;
Q=exp_10.Q/60; %Nl/min -> Nl/s
r=exp_10.r;
C2_10=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_15.p1)+1;
Q=exp_15.Q/60; %Nl/min -> Nl/s
r=exp_15.r;
C2_15=fminsearch(@(x) err(x, Q, P0, r), 0);

load Ecoflex_0.5mm_200um.mat
P0=mean(exp_5.p1)+1;
Q=exp_5.Q/60; %Nl/min -> Nl/s
r=exp_5.r;
C3_05=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_10.p1)+1;
Q=exp_10.Q/60; %Nl/min -> Nl/s
r=exp_10.r;
C3_10=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_15.p1)+1;
Q=exp_15.Q/60; %Nl/min -> Nl/s
r=exp_15.r;
C3_15=fminsearch(@(x) err(x, Q, P0, r), 0);

load Ecoflex_1.0mm_150um.mat
P0=mean(exp_5.p1)+1;
Q=exp_5.Q/60; %Nl/min -> Nl/s
r=exp_5.r;
C4_05=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_10.p1)+1;
Q=exp_10.Q/60; %Nl/min -> Nl/s
r=exp_10.r;
C4_10=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_15.p1)+1;
Q=exp_15.Q/60; %Nl/min -> Nl/s
r=exp_15.r;
C4_15=fminsearch(@(x) err(x, Q, P0, r), 0);

load Ecoflex_1.5mm_150um.mat
P0=mean(exp_5.p1)+1;
Q=exp_5.Q/60; %Nl/min -> Nl/s
r=exp_5.r;
C5_05=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_10.p1)+1;
Q=exp_10.Q/60; %Nl/min -> Nl/s
r=exp_10.r;
C5_10=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_15.p1)+1;
Q=exp_15.Q/60; %Nl/min -> Nl/s
r=exp_15.r;
C5_15=fminsearch(@(x) err(x, Q, P0, r), 0);

A=[0.5*0.1, 0.5*0.15, 0.5*0.2, 1.0*0.15, 1.5*0.15];
figure()
plot(A,[C1_05, C2_05, C3_05, C4_05, C5_05], "*", "Color", c1);
hold on
grid on
plot(A,[C1_10, C2_10, C3_10, C4_10, C5_10], "*", "Color", c2);
plot(A,[C1_15, C2_15, C3_15, C4_15, C5_15], "*", "Color", c3);
xlabel("A_{min} (mm^2)")
ylabel("Capacitance (Nls^{-1}bar^{-1})")
C_Eco=[[C1_05, C1_10, C1_15];[C2_05, C2_10, C2_15];[C3_05, C3_10, C3_15];...
    [C4_05, C4_10, C4_15];[C5_05, C5_10, C5_15]];
S_Eco=std(C_Eco,0,2);
Avg_Eco=mean(C_Eco, 2);

%%
clear all

c1=[0, 0.4470, 0.7410];
c2=[0.8500, 0.3250, 0.0980];
c3=[0.89, 0.706, 0.106];
K=sqrt(293/295);

f=@(C,P0, r) C*P0*K*sqrt(1-r.^2);
err=@(C, Q, P0, r) sum((Q-f(C, P0, r)).^2);

load PDMS_0.5mm_100um.mat
P0=mean(exp_5.p1)+1;
Q=exp_5.Q/60; %Nl/min -> Nl/s
r=exp_5.r;
C1_05=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_10.p1)+1;
Q=exp_10.Q/60; %Nl/min -> Nl/s
r=exp_10.r;
C1_10=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_15.p1)+1;
Q=exp_15.Q/60; %Nl/min -> Nl/s
r=exp_15.r;
C1_15=fminsearch(@(x) err(x, Q, P0, r), 0);

load PDMS_0.5mm_150um.mat
P0=mean(exp_5.p1)+1;
Q=exp_5.Q/60; %Nl/min -> Nl/s
r=exp_5.r;
C2_05=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_10.p1)+1;
Q=exp_10.Q/60; %Nl/min -> Nl/s
r=exp_10.r;
C2_10=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_15.p1)+1;
Q=exp_15.Q/60; %Nl/min -> Nl/s
r=exp_15.r;
C2_15=fminsearch(@(x) err(x, Q, P0, r), 0);

load PDMS_0.5mm_200um.mat
P0=mean(exp_5.p1)+1;
Q=exp_5.Q/60; %Nl/min -> Nl/s
r=exp_5.r;
C3_05=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_10.p1)+1;
Q=exp_10.Q/60; %Nl/min -> Nl/s
r=exp_10.r;
C3_10=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_15.p1)+1;
Q=exp_15.Q/60; %Nl/min -> Nl/s
r=exp_15.r;
C3_15=fminsearch(@(x) err(x, Q, P0, r), 0);

load PDMS_1.0mm_150um.mat
P0=mean(exp_5.p1)+1;
Q=exp_5.Q/60; %Nl/min -> Nl/s
r=exp_5.r;
C4_05=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_10.p1)+1;
Q=exp_10.Q/60; %Nl/min -> Nl/s
r=exp_10.r;
C4_10=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_15.p1)+1;
Q=exp_15.Q/60; %Nl/min -> Nl/s
r=exp_15.r;
C4_15=fminsearch(@(x) err(x, Q, P0, r), 0);

load PDMS_1.5mm_150um.mat
P0=mean(exp_5.p1)+1;
Q=exp_5.Q/60; %Nl/min -> Nl/s
r=exp_5.r;
C5_05=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_10.p1)+1;
Q=exp_10.Q/60; %Nl/min -> Nl/s
r=exp_10.r;
C5_10=fminsearch(@(x) err(x, Q, P0, r), 0);

P0=mean(exp_15.p1)+1;
Q=exp_15.Q/60; %Nl/min -> Nl/s
r=exp_15.r;
C5_15=fminsearch(@(x) err(x, Q, P0, r), 0);

A=[0.5*0.1, 0.5*0.15, 0.5*0.2, 1.0*0.15, 1.5*0.15];
C3_05=0.0074;
C3_10=0.0078;
C3_15=0.0084;
plot(A,[C1_05, C2_05, C3_05, C4_05, C5_05], ".", "Color", c1);
hold on
grid on
plot(A,[C1_10, C2_10, C3_10, C4_10, C5_10], ".", "Color", c2);
plot(A,[C1_15, C2_15, C3_15, C4_15, C5_15], ".", "Color", c3);
xticks([0.05 0.075 0.1  0.125 0.150 0.175 0.2 0.225])

C_PDMS=[[C1_05, C1_10, C1_15];[C2_05, C2_10, C2_15];[C3_05, C3_10, C3_15];...
    [C4_05, C4_10, C4_15];[C5_05, C5_10, C5_15]];
S_PDMS=std(C_PDMS,0,2);
Avg_PDMS=mean(C_PDMS, 2);