load Q_out.mat

%% CREATING LINE PLOT FOR Q_OUT
figure
plot([0.05, 0.1, 0.15], [mean(Q_out(1,:,1))/60,mean(Q_out(1,:,2))/60, mean(Q_out(1,:,3))/60], "*-", "LineWidth", 1.5)
hold on
grid on
plot([0.05, 0.1, 0.15], [mean(Q_out(2,:,1))/60,mean(Q_out(2,:,2))/60, mean(Q_out(2,:,3))/60], "*-", "LineWidth", 1.5)
plot([0.05, 0.1, 0.15], [mean(Q_out(3,:,1))/60,mean(Q_out(3,:,2))/60, mean(Q_out(3,:,3))/60], "*-", "LineWidth", 1.5)
plot([0.05, 0.1, 0.15], [mean(Q_out(4,:,1))/60,mean(Q_out(4,:,2))/60, mean(Q_out(4,:,3))/60], "*-", "LineWidth", 1.5)
legend("100 \mum membrane", "200 \mum membrane", "300 \mum membrane", "500 \mum membrane")
xlabel("Supply pressure (bar)")
ylabel("Flow rate (Nls^{-1})")

%% CREATING LINE PLOT FOR Q_OUT WITH ERRORBARS
figure
errorbar([0.05, 0.1, 0.15], [mean(Q_out(1,:,1))/60,mean(Q_out(1,:,2))/60, mean(Q_out(1,:,3))/60],[std(Q_out(1,:,1)/60),std(Q_out(1,:,2)/60), std(Q_out(1,:,3)/60)], "*-", "LineWidth", 1.5)
hold on
grid on
errorbar([0.05, 0.1, 0.15], [mean(Q_out(2,:,1))/60,mean(Q_out(2,:,2))/60, mean(Q_out(2,:,3))/60], [std(Q_out(2,:,1)/60),std(Q_out(2,:,2)/60), std(Q_out(2,:,3)/60)], "*-", "LineWidth", 1.5)
errorbar([0.05, 0.1, 0.15], [mean(Q_out(3,:,1))/60,mean(Q_out(3,:,2))/60, mean(Q_out(3,:,3))/60], [std(Q_out(3,:,1))/60,std(Q_out(3,:,2))/60, std(Q_out(3,:,3))/60], "*-", "LineWidth", 1.5)
errorbar([0.05, 0.1, 0.15], [mean(Q_out(4,:,1))/60,mean(Q_out(4,:,2))/60, mean(Q_out(4,:,3))/60], [std(Q_out(4,:,1))/60,std(Q_out(4,:,2))/60, std(Q_out(4,:,3))/60], "*-", "LineWidth", 1.5)
legend("100 \mum membrane", "200 \mum membrane", "300 \mum membrane", "500 \mum membrane")
xlabel("Supply pressure (bar)")
ylabel("Flow rate (Nls^{-1})")

%% CREATING BAR PLOT FOR % REDUCTION
X = categorical({'100 \mum','200 \mum','300 \mum','500 \mum'});
X = reordercats(X,{'100 \mum','200 \mum','300 \mum','500 \mum'});
X=[100, 200, 300, 500];
Y=[[(Q_max(1)-mean(Q_out(1,:,1))/60)/Q_max(1),(Q_max(2)-mean(Q_out(1,:,2))/60)/Q_max(2), (Q_max(3)-mean(Q_out(1,:,3))/60)/Q_max(3)];...
    [(Q_max(1)-mean(Q_out(2,:,1))/60)/Q_max(1),(Q_max(2)-mean(Q_out(2,:,2))/60)/Q_max(2), (Q_max(3)-mean(Q_out(2,:,3))/60)/Q_max(3)];...
    [(Q_max(1)-mean(Q_out(3,:,1))/60)/Q_max(1),(Q_max(2)-mean(Q_out(3,:,2))/60)/Q_max(2), (Q_max(3)-mean(Q_out(3,:,3))/60)/Q_max(3)];...
    [(Q_max(1)-mean(Q_out(4,:,1))/60)/Q_max(1),(Q_max(2)-mean(Q_out(4,:,2))/60)/Q_max(2), (Q_max(3)-mean(Q_out(4,:,3))/60)/Q_max(3)]];
figure
b=bar(X,Y);
xtips1 = b(1).XEndPoints;
ytips1 = b(1).YEndPoints;
labels1 = "5 kPa";
text(xtips1,ytips1,labels1,'HorizontalAlignment','center',...
'VerticalAlignment','bottom')
xtips2 = b(2).XEndPoints;
ytips2 = b(2).YEndPoints;
labels1 = "10 kPa";
text(xtips2,ytips2,labels1,'HorizontalAlignment','center',...
'VerticalAlignment','bottom')
xtips3 = b(3).XEndPoints;
ytips3 = b(3).YEndPoints;
labels1 = "15 kPa";
text(xtips3,ytips3,labels1,'HorizontalAlignment','center',...
'VerticalAlignment','bottom')
xlabel("Membrane thickness (\mum)")
ylabel("Normalised reduction in flow rate")
hold on
grid on
e=[[std((Q_max(1)-Q_out(1,:,1)./60)./Q_max(1)),std((Q_max(2)-Q_out(1,:,2)./60)./Q_max(2)), std((Q_max(3)-Q_out(1,:,3)./60)./Q_max(3))];...
    [std((Q_max(1)-Q_out(2,:,1)./60)./Q_max(1)),std((Q_max(2)-Q_out(2,:,2)./60)./Q_max(2)), std((Q_max(3)-Q_out(2,:,3)./60)./Q_max(3))];...
    [std((Q_max(1)-Q_out(3,:,1)./60)./Q_max(1)),std((Q_max(2)-Q_out(3,:,2)./60)./Q_max(2)), std((Q_max(3)-Q_out(3,:,3)./60)./Q_max(3))];...
    [std((Q_max(1)-Q_out(4,:,1)./60)./Q_max(1)),std((Q_max(2)-Q_out(4,:,2)./60)./Q_max(2)), std((Q_max(3)-Q_out(4,:,3)./60)./Q_max(3))]];
[ngroups,nbars] = size(Y);
% Plot the errorbars
x=[xtips1;xtips2;xtips3];
errorbar(x',Y, e,'k','linestyle','none', 'LineWidth', 1.0);
ylim([0, 1.05]);